FiatPayoutApiDTO

  • accountNumber
    Type: string
    required

    Destination bank account IBAN or account number

  • amount
    Type: number
    required

    Amount to send

  • bankCode
    Type: string
    required

    Bank Code (SWIFT/BIC/Routing number)

  • bankName
    Type: string
    required

    Name of the destination bank

  • beneficiaryType
    Type: stringenum
    required

    Beneficiary type

    values
    • BUSINESS
    • INDIVIDUAL
  • city
    Type: string
    required

    City

  • countryCode
    Type: stringenum
    required

    Destination country code (ISO 3166-1 alpha-2)

    values
    • AL
    • DZ
    • AG
    • AR
    • AM
  • currency
    Type: stringenum
    required

    Fiat currency

    values
    • USD
    • EUR
    • GBP
  • postalCode
    Type: string
    required

    Postal code

  • reference
    Type: string
    required

    Payment reference (max 30 chars, alphanumeric)

  • streetAddress
    Type: string
    required

    Street address

  • businessName
    Type: string

    Business legal name (required if beneficiaryType is BUSINESS)

  • firstName
    Type: string

    Beneficiary first name (required if beneficiaryType is INDIVIDUAL)

  • industryId
    Type: number

    Industry ID

  • lastName
    Type: string

    Beneficiary last name (required if beneficiaryType is INDIVIDUAL)

  • paymentPurpose
    Type: string

    Purpose of payment

  • paymentPurposeAttachmentId
    Type: string

    Id of a file previously uploaded via POST /v1/files. Pass the value of data.id from that response here verbatim.